#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.1.0.0
visibility:           public
id:                   ghcide-1.1.0.0-2xhaccJ9z2QGu3FvASJOyA
key:                  ghcide-1.1.0.0-2xhaccJ9z2QGu3FvASJOyA
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:             https://github.com/haskell/ghcide#readme
synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  35ba734458f08c5d2f9cc24c029c678a
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Compile Development.IDE.Core.Debouncer
    Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.1.0.0
hs-libraries:         HSghcide-1.1.0.0-2xhaccJ9z2QGu3FvASJOyA
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-9YmOPcxD9YCK6cNmVQZGtQ
    aeson-1.5.6.0-Gx77yI4aGhT9SDRJjDxR53 array-0.5.4.0
    async-2.2.3-6cp1PlFsKQm7WcAjMY1Y60 base-4.14.1.0
    base16-bytestring-1.0.1.0-AbPDWkfzNhSEnvVrlUMkkD binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.0.0-82A4bYRvZdbDMS5qwCL7yh
    case-insensitive-1.2.1.0-5YXNoRXTQgKt9CDkcQekB containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-1DWEbJdZrAbUiWeXxdB0Z
    dependent-sum-0.7.1.0-3kJogox6RC1IBhv3UMtLjB directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-7fWXSNe9CIi5aPwdrWaSKi
    filepath-1.4.2.1 fingertree-0.1.4.2-CIw2yJZET3f3aCR2xV1ds5
    fuzzy-0.1.0.0-B782TepmKt94ubpYFJnfwj ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.3-JDfVwYSLRrVGL79BLBgNny
    ghc-exactprint-0.6.4-DcOeysiI5WV4dbjJ4g5aiH
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    haddock-library-1.9.0-9lrZcuJJSi38VNlo8Ja4Vv
    hashable-1.3.1.0-AFm7ygY4MxA76FjadItoSM
    heapsize-0.3.0.1-GJfftFpjIJI9n0qIqF359S
    hie-bios-0.7.5-5DtqRrLjhAK3ntaYBcGuG3
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-6Rqlm6vgpJP9CLzQQd7xkC
    hls-plugin-api-1.0.0.0-vqBlaRgHY63FGWFgmoqOh
    hslogger-1.3.1.0-8ntgVvaK6rQ9vmDYMONE7v
    implicit-hie-cradle-0.3.0.2-3zPOl4iMJM84oSTPI7IUlt
    lens-4.19.2-CNVQVx1PKTiBoGhbS5k7vB
    lsp-1.1.1.0-ATBeUf1xJH9LuSSc3zZLXO
    lsp-types-1.1.0.0-3IgpQRfQa8NC4KfS4v07YB mtl-2.2.2
    network-uri-2.6.4.1-3JXwSSA5DIGKZm1PyzUfqo
    opentelemetry-0.6.1-30CGdgySPBn4Jj4QzTmkg0
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-JGvubQAa1CbGpzg9NdJeSn
    prettyprinter-ansi-terminal-1.1.2-JYJVctVX7IN5ZE5fQmHQr4
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-CI4PY1fndkWFW1SIctDjWz
    rope-utf16-splay-0.3.2.0-Jw31xfqnmwEJwTIBcGJ5AG
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-H4GiHvAUzwC6WI3RAFxG6G
    shake-0.19.4-92LrKTHaXv1BzmKdADrYtZ
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-3p2ndKK04Tv74gDD2Bv7EZ stm-2.5.0.0
    syb-0.7.2.1-1IAm6Pw4N3X6UTXXRC2m9l text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.14-D6opPl5qq5tDZ2kYK01GD6
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-Dm1EWWGKu5F1HgehuVxZbu
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.2.0-jK90aUeXx6Ehemvl3B500

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

